org.apache.ignite.internal.visor.cache

## Class VisorCacheWriteBehindConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheWriteBehindConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorCacheWriteBehindConfiguration
    extends Object
    implements Serializable

Data transfer object for write-behind cache configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheWriteBehindConfiguration()`

### Method Summary

Methods
`int` `batchSize()`
`void` `batchSize(int batchSize)`
`boolean` `enabled()`
`void` `enabled(boolean enabled)`
`long` `flushFrequency()`
`void` `flushFrequency(long flushFreq)`
`int` `flushSize()`
`void` `flushSize(int flushSize)`
`int` `flushThreadCount()`
`void` `flushThreadCount(int flushThreadCnt)`
`static VisorCacheWriteBehindConfiguration` `from(CacheConfiguration ccfg)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheWriteBehindConfiguration

    public VisorCacheWriteBehindConfiguration()

### Method Detail

#### from

    public static VisorCacheWriteBehindConfiguration from(CacheConfiguration ccfg)

Parameters:
  `ccfg` - Cache configuration.
Returns:
  Data transfer object for write-behind cache configuration properties.

#### enabled

    public boolean enabled()

Returns:
  Flag indicating whether write-behind behaviour should be used for the cache store.

#### enabled

    public void enabled(boolean enabled)

Parameters:
  `enabled` - New flag indicating whether write-behind behaviour should be used for the cache store.

#### batchSize

    public int batchSize()

Returns:
  Maximum batch size for write-behind cache store operations.

#### batchSize

    public void batchSize(int batchSize)

Parameters:
  `batchSize` - New maximum batch size for write-behind cache store operations.

#### flushFrequency

    public long flushFrequency()

Returns:
  Frequency with which write-behind cache is flushed to the cache store in milliseconds.

#### flushFrequency

    public void flushFrequency(long flushFreq)

Parameters:
  `flushFreq` - New frequency with which write-behind cache is flushed to the cache store in milliseconds.

#### flushSize

    public int flushSize()

Returns:
  Maximum object count in write-behind cache.

#### flushSize

    public void flushSize(int flushSize)

Parameters:
  `flushSize` - New maximum object count in write-behind cache.

#### flushThreadCount

    public int flushThreadCount()

Returns:
  Number of threads that will perform cache flushing.

#### flushThreadCount

    public void flushThreadCount(int flushThreadCnt)

Parameters:
  `flushThreadCnt` - New number of threads that will perform cache flushing.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015